Middlebury

Difference between revisions of "MacOS Catalina"

 
(4 intermediate revisions by the same user not shown)
Line 15: Line 15:
  
 
 
 
 
 
 
 
 
 
  
 
=== Current Known Issues & Areas of Concern[[https://mediawiki.middlebury.edu/LIS/index.php?title=MacOS_Mojave&action=edit&section=1 edit]] ===
 
=== Current Known Issues & Areas of Concern[[https://mediawiki.middlebury.edu/LIS/index.php?title=MacOS_Mojave&action=edit&section=1 edit]] ===
  
 
#32-bit applications will no longer be supported as of Catalina.  Launching these applications has resulted in a warning message within High Sierra and Mojave.  (Most common applications in use at Middlebury have been 64-bit for years.)  
 
#32-bit applications will no longer be supported as of Catalina.  Launching these applications has resulted in a warning message within High Sierra and Mojave.  (Most common applications in use at Middlebury have been 64-bit for years.)  
##MathType 7 - [https://lp.wiris.com/catalina/?utm_source=Download&utm_medium=MathTypeMac&utm_campaign=Catalina FAQ] (MathType 8 is planned as a 64-bit app)   
+
##MathType 7 - [https://lp.wiris.com/catalina/?utm_source=Download&utm_medium=MathTypeMac&utm_campaign=Catalina FAQ] (MathType 8 is planned as a 64-bit app)  
 +
##Audacity - 2.3.3 and older [https://www.audacityteam.org/macos-10-15-catalina-is-not-yet-supported-by-audacity/ not supported]    
 
#For Terminal users, the default shell is "zsh", rather than "bash".  Bash is still available.  
 
#For Terminal users, the default shell is "zsh", rather than "bash".  Bash is still available.  
 
#KaleidaGraph is currently still a 32-bit application and will not run under Mac OS 10.15. A 64-bit version is under development, although it will not be released before Catalina and we do not have a release date at this time.  KaleidaGraph will still run under Mojave (10.14) and earlier versions of the OS.  
 
#KaleidaGraph is currently still a 32-bit application and will not run under Mac OS 10.15. A 64-bit version is under development, although it will not be released before Catalina and we do not have a release date at this time.  KaleidaGraph will still run under Mojave (10.14) and earlier versions of the OS.  
 
#SPSS running on Catalina info : [https://developer.ibm.com/predictiveanalytics/2019/10/08/spss-statistics-on-catalina-macos-10-15/ https://developer.ibm.com/predictiveanalytics/2019/10/08/spss-statistics-on-catalina-macos-10-15/]  
 
#SPSS running on Catalina info : [https://developer.ibm.com/predictiveanalytics/2019/10/08/spss-statistics-on-catalina-macos-10-15/ https://developer.ibm.com/predictiveanalytics/2019/10/08/spss-statistics-on-catalina-macos-10-15/]  
#Adobe Creative Cloud:<br/> Photoshop & Lightroom issues - see [https://community.adobe.com/t5/Photoshop/Does-Photoshop-work-with-Catalina/td-p/10654955 here].<br/> 2018 and older versions contain 32-bit applications. &nbsp;See [https://helpx.adobe.com/enterprise/kb/known-issues-macos-1015-catalina.html here]&nbsp;or consider complete removal and fresh installation of 2019 only - see [https://sites.middlebury.edu/lis/2017/12/21/adobe-creative-cloud-2018-now-available/ here].  
+
#[https://community.sophos.com/kb/en-us/134833 Sophos] and other applications that require access to files or services may not function properly without pre-approval with management software or end user intervention.  
 +
#Pro Tools is now 64-bit, but some functionality is still limited. &nbsp;See [http://avid.force.com/pkb/articles/Compatibility/Pro-Tools-Catalina-File-Type-Support?mkt_tok=eyJpIjoiWVRoaE5qUmxObUZtTkdKbCIsInQiOiJyR0RKbjBkNUhqVGduc1dJWnA3d0lOTXpiRG1zMXlcLzI1bW8xUjRIMmoyTDZxMStNb3BWUjN0b1dHWHhSMmQ4bXJaOXVDN2xpSzBZM1JLR0c4b3BON2xVMjJWdU50ZnY2XC9XQjhLbVJTR0twUmV2RE4wN1owVzl1UUFCZ2pUTGV3In0= here] for more info.  
 +
 
 +
=== Resolved Issues: ===
  
&nbsp;
+
#Spartan:<br/> Update to version&nbsp;[https://www.wavefun.com/spartan-latest-version Spartan’18 v. 1.4.4] Before upgrading to Catalina.
 +
#Adobe Creative Cloud 2020 is compatible. &nbsp;  
  
 
=== Resolved Issues[[https://mediawiki.middlebury.edu/LIS/index.php?title=MacOS_Mojave&action=edit&section=2 edit]] ===
 
=== Resolved Issues[[https://mediawiki.middlebury.edu/LIS/index.php?title=MacOS_Mojave&action=edit&section=2 edit]] ===

Latest revision as of 09:58, 12 February 2020

MacOS Catalina

macOS Catalina (10.15) was released to the public October 7, 2019. 

Catalina is a brand new operating system, and is not recommended for general use on production computers at this time.  Please contact the helpdesk if you have questions.

 

last updated 10/7/2019 -- use http://go/catalina/ to visit again, easily

For upgrade from 10.13 or earlier, please see http://go/mojave/ as well for noteworthy changes introduced before Catalina.

 

 

Current Known Issues & Areas of Concern[edit]

  1. 32-bit applications will no longer be supported as of Catalina.  Launching these applications has resulted in a warning message within High Sierra and Mojave.  (Most common applications in use at Middlebury have been 64-bit for years.)
    1. MathType 7 - FAQ (MathType 8 is planned as a 64-bit app)
    2. Audacity - 2.3.3 and older not supported
  2. For Terminal users, the default shell is "zsh", rather than "bash".  Bash is still available.
  3. KaleidaGraph is currently still a 32-bit application and will not run under Mac OS 10.15. A 64-bit version is under development, although it will not be released before Catalina and we do not have a release date at this time.  KaleidaGraph will still run under Mojave (10.14) and earlier versions of the OS.
  4. SPSS running on Catalina info : https://developer.ibm.com/predictiveanalytics/2019/10/08/spss-statistics-on-catalina-macos-10-15/
  5. Sophos and other applications that require access to files or services may not function properly without pre-approval with management software or end user intervention.
  6. Pro Tools is now 64-bit, but some functionality is still limited.  See here for more info.

Resolved Issues:

  1. Spartan:
    Update to version Spartan’18 v. 1.4.4 Before upgrading to Catalina.
  2. Adobe Creative Cloud 2020 is compatible.  

Resolved Issues[edit]


 

 

Learning Resources[edit]

Powered by MediaWiki